Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.SplitOutputSettingData Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| SplitOutputSettingData ()
| Constructor.
| SplitOutputSettingData (string output_folder_path, bool add_before_or_after_orginal_name, string custom_name, string separator, bool is_overwrite)
| Constructor, with parameters. More...
void | Set (string output_folder_path, bool add_before_or_after_orginal_name, string custom_name, string separator, bool is_overwrite)
| Set value. More...

## Properties
bool | add_before_or_after_orginal_name`[get, set]`
| A boolean value is used to determine whether to add the custom name and number before or after the original PDF file name. Default value: false. More...
string | custom_name`[get, set]`
| A string value used to be added before or after the original PDF file name to generate a new file name. Default value: L"". More...
bool | is_overwrite`[get, set]`
| A boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists. Default value: false. More...
string | output_folder_path`[get, set]`
| A valid folder path for the PDF documents generated by splitting. More...
string | separator`[get, set]`
| A string value used to inserted between the original PDF file name and the custom name to generate a new file name. Default value: L"". More...

## Detailed Description

This class represents setting data used to set the name and directory of the PDF documents generated by splitting.

## Constructor & Destructor Documentation

## ◆ SplitOutputSettingData()

foxit.pdf.SplitOutputSettingData.SplitOutputSettingData | ( | string | output_folder_path,
|  | bool | add_before_or_after_orginal_name,
|  | string | custom_name,
|  | string | separator,
|  | bool | is_overwrite
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | output_folder_path | A valid folder path for the PDF documents generated by splitting. If the value is empty, it means using the folder path of the original PDF document as the folder path for the PDF documents generated through splitting. If the value is not empty, it is used as the folder path for the PDF documents generated through splitting.
  [in] | add_before_or_after_orginal_name | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. true means a custom name and number will be added before the original PDF file name. false means a custom name and number will be added after the original PDF file name.
  [in] | custom_name | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the custom name. If this value is empty, it means that a custom name is not added to the original PDF file name to generate a new file name. If this value is not empty, it means that a custom name is added to the original PDF file name to generate a new file name.
  [in] | separator | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the separator. If this value is empty, it means that the newly generated file name does not include a separator. If this value is not empty, it means that a separator is inserted between the original PDF file name and the custom name to generate a new file name.
  [in] | is_overwrite | A boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists. true means that when the PDF document generated by splitting exists, it will be overwritten. false means that when the PDF document generated by splitting exists, it will not be overwritten.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.SplitOutputSettingData.Set | ( | string | output_folder_path,
|  | bool | add_before_or_after_orginal_name,
|  | string | custom_name,
|  | string | separator,
|  | bool | is_overwrite
| ) |  |
| inline

Set value.

Parameters

  [in] | output_folder_path | A valid folder path for the PDF documents generated by splitting. If the value is empty, it means using the folder path of the original PDF document as the folder path for the PDF documents generated through splitting. If the value is not empty, it is used as the folder path for the PDF documents generated through splitting.
  [in] | add_before_or_after_orginal_name | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. true means a custom name and number will be added before the original PDF file name. false means a custom name and number will be added after the original PDF file name.
  [in] | custom_name | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the custom name. If this value is empty, it means that a custom name is not added to the original PDF file name to generate a new file name. If this value is not empty, it means that a custom name is added to the original PDF file name to generate a new file name.
  [in] | separator | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the separator. If this value is empty, it means that the newly generated file name does not include a separator. If this value is not empty, it means that a separator is inserted between the original PDF file name and the custom name to generate a new file name.
  [in] | is_overwrite | A boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists. true means that when the PDF document generated by splitting exists, it will be overwritten. false means that when the PDF document generated by splitting exists, it will not be overwritten.

Returns
  None.

## Property Documentation

## ◆ add_before_or_after_orginal_name

bool foxit.pdf.SplitOutputSettingData.add_before_or_after_orginal_name
| get set

A boolean value is used to determine whether to add the custom name and number before or after the original PDF file name. Default value: false.

The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. true means a custom name and number will be added before the original PDF file name. false means a custom name and number will be added after the original PDF file name.

## ◆ custom_name

string foxit.pdf.SplitOutputSettingData.custom_name
| get set

A string value used to be added before or after the original PDF file name to generate a new file name. Default value: L"".

The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the custom name. If this value is empty, it means that a custom name is not added to the original PDF file name to generate a new file name. If this value is not empty, it means that a custom name is added to the original PDF file name to generate a new file name.

## ◆ is_overwrite

bool foxit.pdf.SplitOutputSettingData.is_overwrite
| get set

A boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists. Default value: false.

true means that when the PDF document generated by splitting exists, it will be overwritten. false means that when the PDF document generated by splitting exists, it will not be overwritten.

## ◆ output_folder_path

string foxit.pdf.SplitOutputSettingData.output_folder_path
| get set

A valid folder path for the PDF documents generated by splitting.

If the parameter split_doc_array of the called function SplitPDFDoc.StartSplitByFileSize contains an object constructed using a constructor of SplitDocumentInfo with parameter file_reader or doc, then this value cannot be empty. Otherwise, this value can be empty. If the value is empty, it means using the folder path of the original PDF document as the folder path for the PDF documents generated through splitting. If the value is not empty, it is used as the folder path for the PDF documents generated through splitting.

## ◆ separator

string foxit.pdf.SplitOutputSettingData.separator
| get set

A string value used to inserted between the original PDF file name and the custom name to generate a new file name. Default value: L"".

The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the separator. If this value is empty, it means that the newly generated file name does not include a separator. If this value is not empty, it means that a separator is inserted between the original PDF file name and the custom name to generate a new file name.